#include <windows.h>
#include <stdio.h>

static HWND gForground;

BOOL CALLBACK EnumWindowsProc(HWND hwnd, LPARAM lp) 
{
    TCHAR strWindowText[1024];
    GetWindowText(hwnd, strWindowText, 1024);

    TCHAR strWindowClass[1024];
    GetClassName(hwnd, strWindowClass, 1024);

    RECT rc;
    GetWindowRect(hwnd, &rc);

    printf("%s (%s) %d %d %d %d", strWindowClass, strWindowText, rc.left, rc.right, rc.top, rc.bottom);

    if(hwnd == gForground) {
        printf(" FORGROUND");
    }

    printf("\n");

    return TRUE;
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
            PSTR lpCmdLine, int nCmdShow)
{
    gForground = GetForegroundWindow();

    EnumWindows(EnumWindowsProc, 0);
    return 0;
}

